Bug 22677 - Include hint on OAI-PMH URL for Koha in system preference
Summary: Include hint on OAI-PMH URL for Koha in system preference
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Web services (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-04-09 22:47 UTC by Katrin Fischer
Modified: 2019-11-06 17:17 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 22677: Include hint to OAI page path on OAI-PMH preference (1.50 KB, patch)
2019-10-14 20:34 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22677: Include hint to OAI page path on OAI-PMH preference (1.56 KB, patch)
2019-10-17 00:36 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 22677: Include hint to OAI page path on OAI-PMH preference (1.61 KB, patch)
2019-11-06 16:47 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2019-04-09 22:47:28 UTC
We should include a link to the right URL like we do for other things like ILS-DI and Self checkout in the description of the OAI-PMH system preference.
Comment 1 Katrin Fischer 2019-04-09 22:49:13 UTC
Could be: /cgi-bin/koha/oai.pl?verb=Identify
Comment 2 Katrin Fischer 2019-10-10 06:24:27 UTC
We should still do this.
Comment 3 Katrin Fischer 2019-10-14 20:34:37 UTC
Created attachment 94103 [details] [review]
Bug 22677: Include hint to OAI page path  on OAI-PMH preference

This copies the way we are doing it for othe rprefs (ILSDI and similar)
and adds a hint to the description to make it easier to find the
right path for the OAI server.

To test:
- Apply patch
- Verify that the system preference for OAI-PMH includes
  now a hint to: /cgi-bin/koha/oai.pl?verb=Identify
- Verify the hint is correct (add OPAC base URL)
Comment 4 Lucas Gass 2019-10-17 00:36:28 UTC
Created attachment 94358 [details] [review]
Bug 22677: Include hint to OAI page path on OAI-PMH preference

This copies the way we are doing it for othe rprefs (ILSDI and similar)
and adds a hint to the description to make it easier to find the
right path for the OAI server.

To test:
- Apply patch
- Verify that the system preference for OAI-PMH includes
  now a hint to: /cgi-bin/koha/oai.pl?verb=Identify
- Verify the hint is correct (add OPAC base URL)

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 5 Martin Renvoize 2019-11-06 16:47:24 UTC
Created attachment 95117 [details] [review]
Bug 22677: Include hint to OAI page path on OAI-PMH preference

This copies the way we are doing it for othe rprefs (ILSDI and similar)
and adds a hint to the description to make it easier to find the
right path for the OAI server.

To test:
- Apply patch
- Verify that the system preference for OAI-PMH includes
  now a hint to: /cgi-bin/koha/oai.pl?verb=Identify
- Verify the hint is correct (add OPAC base URL)

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 6 Martin Renvoize 2019-11-06 17:16:49 UTC
Nice work!

Pushed to master for 19.11.00